Package com.documentum.fc.common

# Interface IDfException

All Known Implementing Classes:
  `DfACLException`, `DfAlreadyLinkedException`, `DfAspectOperationException`, `DfAttributeValueException`, `DfAuthenticationException`, `DfConfigurationException`, `DfContentAreaException`, `DfContentTemporarilyUnavailableException`, `DfDborNotFoundException`, `DfDeadlockException`, `DfDocbaseUnreachableException`, `DfDocbrokerException`, `DfDuplicateAspectException`, `DfException`, `DfFilterException`, `DfIdentityException`, `DfIdNotFoundException`, `DfIOException`, `DfNameNotFoundException`, `DfNoMatchException`, `DfNonExistentAspectException`, `DfNoServersException`, `DfObjectNotFoundException`, `DfOutOfServerSessionsException`, `DfOutOfSessionsException`, `DfPathNotFoundException`, `DfPersistentObjectException`, `DfPreferenceException`, `DfPrincipalException`, `DfQueryFormatException`, `DfQueryGenerationException`, `DfRestrictedAccessException`, `DfResultContentException`, `DfScopingException`, `DfSearchException`, `DfSearchLoginException`, `DfServiceException`, `DfServiceInstantiationException`, `DfServiceNotFoundException`, `DfSysObjectException`, `DfSysObjectSecurityException`, `DfTypedObjectException`, `DfUnreachableLocationException`, `DfUserAliasSetNotFoundException`, `DfUserException`, `DfValidationException`, `DfWorkflowException`, `InvocationException`

public interface IDfException
An interface to all DFC checked exceptions.

The symbolic numeric error constants defined here are deprecated. Please do not use them or define any more. String identifiers are now used to identify messages instead.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DFC_E_BAD_FULL_FORMAT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_BAD_CLASS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_BAD_INDEX`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_BAD_VALUE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_CLASS_NOT_FOUND`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_CONVERTED_EXCEPTION`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_INIT_DMCL`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_INIT_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_NOT_PROGRAMMATIC`
  Deprecated.
  The alphanumeric identifiers in `DfcMessages` should be used instead
  `static final int`
  `DM_DFC_E_NOT_SUPPORTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_NOT_SUPPORTED_BY_SERVER`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_OBJECT_DISCONNECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_OBJECT_NOT_INITIALIZED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_PATH_NOT_FOUND`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_RD_NO_SAVED_CONTENT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_SERVER`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_TYPE_MISMATCH`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_TYPE_MISMATCH_ADD`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_TYPE_MISMATCH_COMP`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_TYPE_MISMATCH_GET`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_TYPE_NOT_FOUND`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_UNDEFINED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_E_UNKNOWN_OBJECT_TYPE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCBP_E_ALIAS_ALREADY_EXISTS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCBP_E_ALIAS_NOT_EXIST`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCCOLL_E_BAD_QUERY_TYPE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCCOLL_E_BAD_STATE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCCTXTMGR_E_GETCONTEXT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCQB_BAD_TIME_PATTERN`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCQB_FILE_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCQB_INTERNAL_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCQB_NO_PATH_SPECIFIED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCRM_E_OBJCARR_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSESS_E_BAD_ADOPT_SESSID`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSESS_E_DISCONNECTED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSESS_E_FAILED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSESS_E_FAILED_EX`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSESS_E_ILLEGAL_OP`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_INVALID_CUSTOM_RULE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_NO_RULES`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RELATION_EXISTS_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RF_NO_ATTRIBUTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RF_NO_DATA_TYPE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RF_NO_RELATION_OP`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RF_NO_VALUE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RF_TYPE_OP_MISMATCH`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RL_FACTORS_OPS_MISMATCH`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RL_NO_FACTORS`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RL_NO_LOGIC_OP`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RL_NO_STORAGE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RULE_VALIDATION_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_RULES_NOT_RENDERED_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_STORAGE_POLICY_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_APPEND_NOTE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_BAD_OBJECT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_BAD_TEMPLATE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_INVALID_GROUP`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_MISSING_TEMPLATE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_NO_OBJECT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_NO_USER`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_START_FAILED`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_DFCWF_E_USER_LIMIT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_EXPR_E_EVALUATE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_EXPR_E_EVALUATOR_LOAD_FAIL`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_EXPR_E_PARSE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_EXPR_E_PARSE_LOAD_FAIL`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_NOTDFC_E_EXTERNAL`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_NOTDFC_E_JAVA`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_TEMPVDM_E_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_ATTR_RULES`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_ATTR_RULES_NO_VAL`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_DATATYPE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_EXCESS_LEN`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_EXPR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_FORMAT`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_OBJ_EXPR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_OBJ_NULL_DATA`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_OBJ_RULES`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VALIDATION_E_USE_VALUE_ASST`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorCorruptedFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorDirectoryDoesNotExist`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorDirectoryIsActuallyAFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorFileDoesNotExist`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorFileIsActuallyADirectory`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToCreateDirectory`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToCreateFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToDetectExistanceOfDirectory`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToDetectExistanceOfFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToOpenExistingFileWithWriteAccess`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorNoPermissionToOpenFileWithReadAccess`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorReadingFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorWritingToExistingFile`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `errorWritingToNewFile`
  Deprecated.
  The alphanumeric identifiers should be used instead

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArguments()`
  Returns the arguments for this Exception.
  `int`
  `getCount()`
  Returns the number of exceptions chained to this exception (including this exception itself).
  `int`
  `getErrorCode()`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `String`
  `getMessage()`
  Returns the error message associated with this exception.
  `String`
  `getMessageId()`
  Returns the alphanumeric message identifier.
  `IDfException`
  `getNextException()`
  Returns the next exception in the chain, that is, the exception which triggered this one.
  `IDfProperties`
  `getProperties()`
  Returns the the IDfProperties interface to the object.
  `String`
  `getStackTraceAsString()`
  Returns the Java stack trace as a String.
  `IDfException`
  `getTailException()`
  Returns the last exception in the chain of exceptions.
  `String`
  `getThreadInfo()`
  Returns the name of the Java thread on which this exception was thrown.
  `void`
  `setErrorCode(int errorCode)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `void`
  `setMessage(String message)`
  Sets the error message for this exception.

- ## Field Details

  - ### DM_NOTDFC_E_EXTERNAL

    static final int DM_NOTDFC_E_EXTERNAL
    Deprecated.
    The alphanumeric identifiers should be used instead
    The error code of the DfException returned from the `parseException(String streamedExc)` of com.documentum.com.DfCLientX when it is passed an exception which did not originate in Java (for example, a VB error string).
    See Also:
      - Constant Field Values

  - ### DM_NOTDFC_E_JAVA

    static final int DM_NOTDFC_E_JAVA
    Deprecated.
    The alphanumeric identifiers should be used instead
    The error code of the DfException returned from the `parseException(String streamedExc)` of com.documentum.com.DfCLientX when it is passed an error string which was not generated by DFC. One example where this might happen is if the VM threw a RuntimeException (such as an OutOfMemoryException) and this was handled by a VB programmer by passing the `Err.Description` string to `parseException()`.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_UNDEFINED

    static final int DM_DFC_E_UNDEFINED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an illegal or undefined error code. This will result from an internal error.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_SERVER

    static final int DM_DFC_E_SERVER
    Deprecated.
    The alphanumeric identifiers should be used instead
    The error code of all exceptions thrown as a result of the server returning an error.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_SUPPORTED

    static final int DM_DFC_E_NOT_SUPPORTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a class does not support that particular method.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_BAD_VALUE

    static final int DM_DFC_E_BAD_VALUE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a method or constructor was passed a bad value.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_CLASS_NOT_FOUND

    static final int DM_DFC_E_CLASS_NOT_FOUND
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a necessary class could not be found or instantiated.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_BAD_CLASS

    static final int DM_DFC_E_BAD_CLASS
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the version of the particular class is incorrect, does not implement the proper interface, or does not extend from the correct class.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_INIT_ERROR

    static final int DM_DFC_E_INIT_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an error occurred while trying to initialize a necessary class, not caused by such things as a bad argument being passed to a constructor (which would be a DM_DFC_E_BAD_VALUE).
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_INIT_DMCL

    static final int DM_DFC_E_INIT_DMCL
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an error occurred while trying to initialize DMCL.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_BAD_INDEX

    static final int DM_DFC_E_BAD_INDEX
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a bad index was provided as the argument to a DFC data class such as DfList. Note, however, that if a bad index is passed to an attribute-base method such as `DfSysObject.getAuthors(int index)` the error code will be DM_DFC_E_SERVER and the bracketed string error code in the message will be "`[DM_API_E_BADATTRINDX]`".
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_SUPPORTED_BY_SERVER

    static final int DM_DFC_E_NOT_SUPPORTED_BY_SERVER
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the method is not supported by the version of the connected server.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_TYPE_MISMATCH

    static final int DM_DFC_E_TYPE_MISMATCH
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to obtain a value as an incompatible type.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_TYPE_MISMATCH_ADD

    static final int DM_DFC_E_TYPE_MISMATCH_ADD
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to add a value of an incompatible type to a DfList.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_TYPE_MISMATCH_GET

    static final int DM_DFC_E_TYPE_MISMATCH_GET
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to obtain a value from a DfList as an incompatible type.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_TYPE_MISMATCH_COMP

    static final int DM_DFC_E_TYPE_MISMATCH_COMP
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to compare two values of incompatible type. This will be error code is used by compareTo() methods but not equals() methods (which would return `false` in such a case.
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED

    static final int DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED

    static final int DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED

    static final int DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED

    static final int DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED

    static final int DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS

    static final int DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET

    static final int DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING

    static final int DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH

    static final int DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH

    static final int DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS

    static final int DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE

    static final int DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE

    static final int DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_OBJECT_DISCONNECTED

    static final int DM_DFC_E_OBJECT_DISCONNECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to perform a docbase operation on a DfTypedObject that no longer has a session associated. This often happens on objects contained in a read-only cache.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_OBJECT_NOT_INITIALIZED

    static final int DM_DFC_E_OBJECT_NOT_INITIALIZED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the DfTypedObject or DfPersistentObject has not yet been initialized with a session and objectId.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_UNKNOWN_OBJECT_TYPE

    static final int DM_DFC_E_UNKNOWN_OBJECT_TYPE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_PATH_NOT_FOUND

    static final int DM_DFC_E_PATH_NOT_FOUND
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_CONVERTED_EXCEPTION

    static final int DM_DFC_E_CONVERTED_EXCEPTION
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_TYPE_NOT_FOUND

    static final int DM_DFC_E_TYPE_NOT_FOUND
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_RD_NO_SAVED_CONTENT

    static final int DM_DFC_E_RD_NO_SAVED_CONTENT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the retention date cannot be set if there is no saved content.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED

    static final int DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the store is not retention enabled.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_NOT_PROGRAMMATIC

    static final int DM_DFC_E_NOT_PROGRAMMATIC
    Deprecated.
    The alphanumeric identifiers in `DfcMessages` should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFCRM_E_OBJCARR_ERROR

    static final int DM_DFCRM_E_OBJCARR_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a general error occurred in the object carrier.
    See Also:
      - Constant Field Values

  - ### DM_DFCSESS_E_DISCONNECTED

    static final int DM_DFCSESS_E_DISCONNECTED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to perform an operation on a session that has been disconnected.
    See Also:
      - Constant Field Values

  - ### DM_DFCSESS_E_ILLEGAL_OP

    static final int DM_DFCSESS_E_ILLEGAL_OP
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attempt to perform an illegal operation for the particular session, for example, calling `disconnect` on an adopted session.
    See Also:
      - Constant Field Values

  - ### DM_DFCSESS_E_FAILED

    static final int DM_DFCSESS_E_FAILED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates a general failure in an attempt to obtain a session.
    See Also:
      - Constant Field Values

  - ### DM_DFCSESS_E_FAILED_EX

    static final int DM_DFCSESS_E_FAILED_EX
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates a general failure in an attempt to obtain a session. The error code associated with this error will contain some additional information.
    See Also:
      - Constant Field Values

  - ### DM_DFCSESS_E_BAD_ADOPT_SESSID

    static final int DM_DFCSESS_E_BAD_ADOPT_SESSID
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a bad DMCL session ID was passed as an argument.
    See Also:
      - Constant Field Values

  - ### DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION

    static final int DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a service implemntation is trying to begin a transaction while in session manager transaction.
    See Also:
      - Constant Field Values

  - ### DM_DFCCOLL_E_BAD_STATE

    static final int DM_DFCCOLL_E_BAD_STATE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the collection was in an invalid state for the requested operation.
    See Also:
      - Constant Field Values

  - ### DM_DFCCOLL_E_BAD_QUERY_TYPE

    static final int DM_DFCCOLL_E_BAD_QUERY_TYPE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a bad query type was passed to the `execute` method of DfQuery.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_APPEND_NOTE

    static final int DM_DFCWF_E_APPEND_NOTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an error occurred while attempting to append a note.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_USER_LIMIT

    static final int DM_DFCWF_E_USER_LIMIT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the combined user/group limit of 100 was exceeded.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_NO_USER

    static final int DM_DFCWF_E_NO_USER
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that there were no users and no groups.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_NO_OBJECT

    static final int DM_DFCWF_E_NO_OBJECT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that there were no objects.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_START_FAILED

    static final int DM_DFCWF_E_START_FAILED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an error occurred while starting the workflow.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_INVALID_GROUP

    static final int DM_DFCWF_E_INVALID_GROUP
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an invalid group name was specified in the group list parameter of sendToDistributionList.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_MISSING_TEMPLATE

    static final int DM_DFCWF_E_MISSING_TEMPLATE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the sendToDistributionList workflow template could not be found in the Docbase.
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_BAD_OBJECT

    static final int DM_DFCWF_E_BAD_OBJECT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the first component for distribution is not a subtype of dm_sysobject
    See Also:
      - Constant Field Values

  - ### DM_DFCWF_E_BAD_TEMPLATE

    static final int DM_DFCWF_E_BAD_TEMPLATE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the sendToDistributionList workflow template, or one of its activity definitions, is not defined as expected.
    See Also:
      - Constant Field Values

  - ### DM_DFCBP_E_ALIAS_ALREADY_EXISTS

    static final int DM_DFCBP_E_ALIAS_ALREADY_EXISTS
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an alias name already exists in the alias set.
    See Also:
      - Constant Field Values

  - ### DM_DFCBP_E_ALIAS_NOT_EXIST

    static final int DM_DFCBP_E_ALIAS_NOT_EXIST
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an alias name does not exist in the alias set.
    See Also:
      - Constant Field Values

  - ### DM_DFCCTXTMGR_E_GETCONTEXT

    static final int DM_DFCCTXTMGR_E_GETCONTEXT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the `getContext()` method of IDfClient.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_ERROR

    static final int DM_VALIDATION_E_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_ATTR_RULES

    static final int DM_VALIDATION_E_ATTR_RULES
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an attribute level validation violation.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_USE_VALUE_ASST

    static final int DM_VALIDATION_E_USE_VALUE_ASST
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a list validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_EXCESS_LEN

    static final int DM_VALIDATION_E_EXCESS_LEN
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a size validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_DATATYPE

    static final int DM_VALIDATION_E_DATATYPE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a datatype validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_FORMAT

    static final int DM_VALIDATION_E_FORMAT
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a format validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_EXPR

    static final int DM_VALIDATION_E_EXPR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an expression validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_ATTR_RULES_NO_VAL

    static final int DM_VALIDATION_E_ATTR_RULES_NO_VAL
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the attribute cannot be null, but a value is not entered.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_OBJ_RULES

    static final int DM_VALIDATION_E_OBJ_RULES
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an object level validation violation.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_OBJ_NULL_DATA

    static final int DM_VALIDATION_E_OBJ_NULL_DATA
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an object level validation violation because of null data.
    See Also:
      - Constant Field Values

  - ### DM_VALIDATION_E_OBJ_EXPR

    static final int DM_VALIDATION_E_OBJ_EXPR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that an object level expression validation constraint is violated.
    See Also:
      - Constant Field Values

  - ### DM_DFCQB_FILE_ERROR

    static final int DM_DFCQB_FILE_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while attempting to open a smartlist.
    See Also:
      - Constant Field Values

  - ### DM_DFCQB_NO_PATH_SPECIFIED

    static final int DM_DFCQB_NO_PATH_SPECIFIED
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while attempting to open a smartlist where a path name was not specified.
    See Also:
      - Constant Field Values

  - ### DM_DFCQB_BAD_TIME_PATTERN

    static final int DM_DFCQB_BAD_TIME_PATTERN
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the time pattern set through setTimePattern() is invalid for parsing the value passed in for a time-based attribute.
    See Also:
      - Constant Field Values

  - ### DM_DFCQB_INTERNAL_ERROR

    static final int DM_DFCQB_INTERNAL_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the Query Builder experienced an internal error.
    See Also:
      - Constant Field Values

  - ### DM_TEMPVDM_E_ERROR

    static final int DM_TEMPVDM_E_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while attempting a VDM operation.
    See Also:
      - Constant Field Values

  - ### DFC_E_BAD_FULL_FORMAT

    static final int DFC_E_BAD_FULL_FORMAT
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToDetectExistanceOfFile

    static final int errorNoPermissionToDetectExistanceOfFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorFileDoesNotExist

    static final int errorFileDoesNotExist
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorFileIsActuallyADirectory

    static final int errorFileIsActuallyADirectory
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToOpenFileWithReadAccess

    static final int errorNoPermissionToOpenFileWithReadAccess
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorReadingFile

    static final int errorReadingFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorCorruptedFile

    static final int errorCorruptedFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToOpenExistingFileWithWriteAccess

    static final int errorNoPermissionToOpenExistingFileWithWriteAccess
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorWritingToExistingFile

    static final int errorWritingToExistingFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToCreateFile

    static final int errorNoPermissionToCreateFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorWritingToNewFile

    static final int errorWritingToNewFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToDetectExistanceOfDirectory

    static final int errorNoPermissionToDetectExistanceOfDirectory
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorDirectoryDoesNotExist

    static final int errorDirectoryDoesNotExist
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorDirectoryIsActuallyAFile

    static final int errorDirectoryIsActuallyAFile
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### errorNoPermissionToCreateDirectory

    static final int errorNoPermissionToCreateDirectory
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RULE_VALIDATION_ERROR

    static final int DM_DFCSP_RULE_VALIDATION_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RF_NO_ATTRIBUTE

    static final int DM_DFCSP_RF_NO_ATTRIBUTE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule factor did not have any attribute
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RF_NO_DATA_TYPE

    static final int DM_DFCSP_RF_NO_DATA_TYPE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule factor did not have any data type
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RF_NO_RELATION_OP

    static final int DM_DFCSP_RF_NO_RELATION_OP
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule factor did not have any relational op
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RF_NO_VALUE

    static final int DM_DFCSP_RF_NO_VALUE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule factor did not have any value
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RF_TYPE_OP_MISMATCH

    static final int DM_DFCSP_RF_TYPE_OP_MISMATCH
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule factor has a relational op not supported by the data type.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RL_NO_FACTORS

    static final int DM_DFCSP_RL_NO_FACTORS
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule line did not have any factors
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RL_NO_STORAGE

    static final int DM_DFCSP_RL_NO_STORAGE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule line did not have any storage type
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RL_NO_LOGIC_OP

    static final int DM_DFCSP_RL_NO_LOGIC_OP
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule line did not have any logic op
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RL_FACTORS_OPS_MISMATCH

    static final int DM_DFCSP_RL_FACTORS_OPS_MISMATCH
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error occurred while validating rules. The rule line has a mismatch in the number of logic ops and factors.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_NO_RULES

    static final int DM_DFCSP_NO_RULES
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the rules have not been set.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_INVALID_CUSTOM_RULE

    static final int DM_DFCSP_INVALID_CUSTOM_RULE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the custom rule is invalid.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RELATION_EXISTS_ERROR

    static final int DM_DFCSP_RELATION_EXISTS_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that a relationship already exists between the storage policy and the object type.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR

    static final int DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the storage policy has not been saved yet.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR

    static final int DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that type is not a sub type of dm_sysobject and hence cannot be associated with a storage policy.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_RULES_NOT_RENDERED_ERROR

    static final int DM_DFCSP_RULES_NOT_RENDERED_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates that the rules have not been rendered and hence the storage policy cannot be activated.
    See Also:
      - Constant Field Values

  - ### DM_DFCSP_STORAGE_POLICY_ERROR

    static final int DM_DFCSP_STORAGE_POLICY_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error regarding the storage policy.
    See Also:
      - Constant Field Values

  - ### DM_EXPR_E_PARSE

    static final int DM_EXPR_E_PARSE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error has occurred during expression parsing.
    See Also:
      - Constant Field Values

  - ### DM_EXPR_E_PARSE_LOAD_FAIL

    static final int DM_EXPR_E_PARSE_LOAD_FAIL
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error has occurred while loading the expression parser.
    See Also:
      - Constant Field Values

  - ### DM_EXPR_E_EVALUATE

    static final int DM_EXPR_E_EVALUATE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error has occurred during expression evaluation.
    See Also:
      - Constant Field Values

  - ### DM_EXPR_E_EVALUATOR_LOAD_FAIL

    static final int DM_EXPR_E_EVALUATOR_LOAD_FAIL
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates an error has occurred while loading the expression evaluator.
    See Also:
      - Constant Field Values

  - ### DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE

    static final int DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE
    Deprecated.
    The alphanumeric identifiers should be used instead
    Indicates the user cannot change its own extended privilege
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setMessage

    void setMessage(String message)
    Sets the error message for this exception.
    Parameters:
      `message` - the localized error message.

  - ### getMessage

    String getMessage()
    Returns the error message associated with this exception.

  - ### getMessageId

    String getMessageId()
    Returns the alphanumeric message identifier.

  - ### getThreadInfo

    String getThreadInfo()
    Returns the name of the Java thread on which this exception was thrown.

  - ### getNextException

    IDfException getNextException()
    Returns the next exception in the chain, that is, the exception which triggered this one. This method allows a handler routine to iterate through the chain of exceptions that resulted in the one that was caught.

  - ### getStackTraceAsString

    String getStackTraceAsString()
    Returns the Java stack trace as a String. This is useful for debugging purposes.

  - ### getCount

    int getCount()
    Returns the number of exceptions chained to this exception (including this exception itself).

  - ### getTailException

    IDfException getTailException()
    Returns the last exception in the chain of exceptions. If this is the only exception, this method returns `null`.

  - ### getProperties

    IDfProperties getProperties()
    Returns the the IDfProperties interface to the object. Subclasses of DfException may use this to store and expose additional information about the exception.

  - ### setErrorCode

    void setErrorCode(int errorCode)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Sets the error code for the given exception.
    Parameters:
      `errorCode` - an application-defined error code.

  - ### getErrorCode

    int getErrorCode()
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Returns the error code associated with this exception object. If no error code has been set, it will have the value IDfException.UNDEFINED.

  - ### getArguments

    Object[] getArguments()
    Returns the arguments for this Exception.